package org.cocktail.bibasse.server;
// Generated by the WebObjects Wizard

import org.cocktail.bibasse.server.components.Main;
import org.cocktail.fwkcktlwebapp.server.CktlWebAction;

import com.webobjects.appserver.WOActionResults;
import com.webobjects.appserver.WORequest;
import com.webobjects.foundation.NSDictionary;

public class DirectAction extends CktlWebAction {

    public DirectAction(WORequest aRequest) {
        super(aRequest);
    }

    public WOActionResults defaultAction() {
    	return pageWithName(Main.class.getName());
    }

	@Override
	public WOActionResults loginCasSuccessPage(String netid, NSDictionary actionParams) {
		return null;
	}

	@Override
	public WOActionResults loginCasFailurePage(String errorMessage, String errorCode) {
		return null;
	}

	@Override
	public WOActionResults loginNoCasPage(NSDictionary actionParams) {
		return null;
	}

}
